// ////////////////////////////////////////////////////
//
// StdView.h : interface of the CStdView class
// Based on class COGLView : public CView
// Inspect COGLView for standard OpenGL initialization
//
////////////////////////////////////////////////////////
#include "oglview.h"
#include "table.h"

class CStdView : public COGLView
{
protected: 
	CStdView();
	DECLARE_DYNCREATE(CStdView)

// Operations
public:
	CStdDoc* GetDocument();
	virtual void DrawScene();
	virtual void InitializeRContext();
	virtual void SetPerspective(int cx, int cy);
	int	PickLight(int x,int y);
	
	//table class
	CTable Table;
	// Eyepnt
	GLfloat ex,ey,ez;
	// walk angle
	GLfloat wv;
	// walkflag
	BOOL isWalking;
	// changing angles
	float m_Vz,m_Vx,m_Vy;

	// mousing around
	CPoint m_PStart,m_PLast;

	// noof guests
	GLint guests;

	// drawing mode
	GLenum m_DrawMode;


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CStdView)
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CStdView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	//{{AFX_MSG(CStdView)
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnMouseMove(UINT nFlags, CPoint point);
	afx_msg void OnLButtonUp(UINT nFlags, CPoint point);
	afx_msg void OnLButtonDblClk(UINT nFlags, CPoint point);
	afx_msg void OnHandlingInspiser();
	afx_msg void OnHandlingLeggduk();
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg void OnHandlingTaklys();
	afx_msg void OnUpdateHandlingTaklys(CCmdUI* pCmdUI);
	afx_msg void OnHandlingLys1();
	afx_msg void OnHandlingLys2();
	afx_msg void OnUpdateHandlingLys1(CCmdUI* pCmdUI);
	afx_msg void OnUpdateHandlingLys2(CCmdUI* pCmdUI);
	afx_msg void OnHandlingGjester();
	afx_msg void OnRButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnHandlingSethome();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in StdView.cpp
inline CStdDoc* CStdView::GetDocument()
   { return (CStdDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////
